%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-djblets
Version:        0.5.9
Release:        4%{?dist}
Summary:        A collection of useful classes and functions for Django
Group:          Applications/Internet
# Djblets is MIT licensed:
# http://code.google.com/p/reviewboard/wiki/Djblets
# Jquery is bundled in Djblets. Jquery is dual-licensed MIT or GPLv2, hence
# the package license is "MIT and (MIT or GPLv2)":
# https://www.redhat.com/archives/fedora-legal-list/2009-May/msg00025.html
License:        MIT and (MIT or GPLv2)
URL:            http://www.review-board.org
Source0:        http://downloads.review-board.org/releases/Djblets/0.5/Djblets-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       Django >= 1.1.1
Requires:       python-imaging

%description
A collection of useful classes and functions for Django

%prep
%setup -q -n Djblets-%{version}
sed -i 's/^from ez_setup/#from ez_setup/' setup.py
sed -i 's/^use_setuptools()/#use_setuptools()/' setup.py
%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --root $RPM_BUILD_ROOT

# feedparser.py has a shebang, and has a runnable __main__; make it executable:
chmod +x $RPM_BUILD_ROOT%{python_sitelib}/djblets/feedview/feedparser.py

# Remove the "tests" subdirectory to avoid it polluting the main python
# namespace:
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc NEWS
%{python_sitelib}/Djblets*.egg-info/
%{python_sitelib}/djblets/

%changelog
* Mon Apr 05 2010 Stephen Gallagher <sgallagh@redhat.com> 0.5.9-4
- Translated strings no longer break cache backends
- Performance improvements for djblets.datagrid
- Fix "stale settings" issue. No longer need to restart apache to
- see updated settings
- Use updated web API settings. No longer assume all API calls
- succeed

* Fri Mar 12 2010 Stephen Gallagher <sgallagh@redhat.com> 0.5.7-3
- Correct required minimum Django version to 1.1.1

* Fri Mar 12 2010 Stephen Gallagher <sgallagh@redhat.com> 0.5.7-2
- Update to latest upstream release
- Contains new features required by ReviewBoard 1.5

* Mon Dec 21 2009 Stephen Gallagher <sgallagh@redhat.com> 0.5.6-0
- Update to latest upstream release
- Remove pre-release handling in the package name and spec

* Fri Oct 23 2009 Dan Young <dyoung@mesd.k12.or.us> - 0.5-0.3.rc1
- Fix License tag

* Wed May 13 2009 Dan Young <dyoung@mesd.k12.or.us> - 0.5-0.2.rc1
- BuildRequires: python and python-setuptools

* Thu May  7 2009 David Malcolm <dmalcolm@redhat.com> - 0.5-0.1.rc1
- bump to upstream 0.5rc1
- add NEWS and AUTHORS files as documentation

* Thu May  7 2009 David Malcolm <dmalcolm@redhat.com> - 0.5-0.1.alpha3
- rename from Djblets to python-djblets
- update version/release to try to preserve update path (prerelease issues)
- fix mixed tabs/spaces in specfile (use spaces throughout)
- remove tests subdirectory
- make feedparser.py executable

* Sat Feb  21 2009 Ramez Hanna <rhanna@informatiq.org> 
- First build.
